Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
ActiveTransaction..::.TransactionStatus Enumeration
ActiveTransaction Class See Also

The status of an active transaction.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public enum TransactionStatus

Visual Basic (Declaration)
    Public Enumeration TransactionStatus

Visual C++
    public enum class TransactionStatus

# Members

| Member name | Description
--- | --- | ---
| ABORTED | The transaction has been aborted
| COMMITTED | The transaction has been committed
| PREPARED | The transaction has been prepared
| RUNNING | The transaction is running

# See Also

BerkeleyDB Namespace